### Method

# Gtk NativeDialogset_transient_for

#### Declaration [src]

    void
    gtk_native_dialog_set_transient_for (
      GtkNativeDialog* self,
      GtkWindow* parent
    )

#### Description [src]

Dialog windows should be set transient for the main application window they were spawned from.

This allows window managers to e.g. keep the dialog on top of the main window, or center the dialog over the main window.

Passing `NULL` for `parent` unsets the current transient window.

Sets property | `Gtk.NativeDialog:transient-for`

#### Parameters

`parent`

  Type: `GtkWindow`

  Parent window.

  The argument can be `NULL`.
  The data is owned by the caller of the method.